package com.composition.android.ad.csj.util

import com.composition.android.lib.ad.AdManager
import com.composition.android.lib.ad.bean.AdUnitBean
import com.composition.android.lib.ad.util.adLog

/**
 * @classname:
 * @author: LiuXiaoLong
 * @date: 2022/9/13
 * description:
 */

internal fun printAdFailInfo(code : Int, msg : String?){
    adLog(
        AdManager.TAG,
        "-------------------------------------------------------------------"
    )

    adLog(AdManager.TAG, "广告加载失败")
    adLog(AdManager.TAG, "Code:${code}")
    adLog(AdManager.TAG, "错误信息:${msg}")

    adLog(
        AdManager.TAG,
        "-------------------------------------------------------------------"
    )
}


internal fun printAdInfo(adBean: AdUnitBean){

    adLog(
        AdManager.TAG,
        "-------------------------------------------------------------------"
    )

    adLog(AdManager.TAG, "广告加载成功")
    adLog(AdManager.TAG, "广告商:${adBean.advertisersName}")
    adLog(AdManager.TAG, "广告位:${adBean.adSlotName}")
    adLog(AdManager.TAG, "广告ID:${adBean.adUnitId}")
    adLog(AdManager.TAG, "广告类型:${adBean.adType}")

    adLog(
        AdManager.TAG,
        "-------------------------------------------------------------------"
    )
}
